Index Page pckuof_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void pckuof_c ( SpiceInt handle )
#### Abstract
       Unload a binary PCK file so that it will no longer be searched by
       the readers.
#### Required_Reading
       PCK
#### Keywords
       FILES
#### Brief_I/O
       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       handle     I   Handle of PCK file to be unloaded
#### Detailed_Input
       handle     Integer handle assigned to the PCK file when it was
                  loaded.
#### Detailed_Output
       None.
#### Parameters
       None.
#### Exceptions
       None.
#### Files
       The file referred to by handle is unloaded.
#### Particulars
       A PCK file is removed from consideration by the readers during a
       search by a call to pckuof_c.

       The file table entry corresponding to the file referenced by
       handle, is removed and the file is closed.  Any segment table
       entry which came from the specified file is also deleted.

       If the file specified by handle does not appear in the file table,
       nothing happens.
#### Examples
       Unload a binary PCK kernel specified by an integer handle, making
       room to load another PCK.

          pck      = "/kernels/gen/pck/earth6.bpc";
          pcklof_c ( pck, &handle );
             .
             .
             .
          pckuof_c ( handle );

       Also see the Example in pckbsr.c or pckbsr.for.
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
       J.M. Lynch      (JPL)
       R.E. Thurman    (JPL)
       K.S. Zukor      (JPL)
#### Version
       -CSPICE Version 1.0.0, 08-FEB-1998 (NJB)

          Based on SPICELIB Version 1.0.0, 16-MAR-1994 (KSZ)
#### Index_Entries
       unload PCK orientation file
#### Link to routine pckuof_c source file pckuof_c.c

    Wed Jun  9 13:05:27 2010